%global momorel 1

Summary: Simple kernel loader which boots from a FAT filesystem
Name: syslinux
Version: 2.11
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://syslinux.zytor.com

%NoSource 0 ftp://ftp.kernel.org/pub/linux/utils/boot/%{name}/Old/%{name}-%{version}.tar.bz2 38a30cc790265f19f80330330ffaa527
Patch0: syslinux-2.08-x86_64.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: %{ix86} athlon x86_64
BuildRequires(build): nasm >= 0.98.35
BuildRequires(build): perl, netpbm-progs

AutoReq: 0
%ifarch %{ix86} athlon
Requires: mtools, libc.so.6
%endif
%ifarch x86_64
Requires: mtools, libc.so.6()(64bit)
%endif

%description
Syslinux is a simple kernel loader. It normally loads the kernel (and an
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots (PXELINUX), or for booting from
ISO 9660 CD-ROMs (ISOLINUX).

%package devel
Summary: Kernel loader which uses a FAT or iso9660 filesystem or a PXE network
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Syslinux is a simple kernel loader. It normally loads the kernel (and an
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots (PXELINUX), or for booting from
ISO 9660 CD-ROMs (ISOLINUX).

%prep
%setup -q
%patch0 -p1 -b .x86_64

%build
make clean
make installer

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}/syslinux
%__mkdir_p %{buildroot}%{_includedir}
make install install-lib \
  INSTALLROOT=%{buildroot} \
  BINDIR=%{_bindir} \
  LIBDIR=%{_prefix}/lib \
  INCDIR=%{_includedir}

%__install -m 0755 mkdiskimage sys2ansi.pl keytab-lilo.pl \
  %{buildroot}%{_prefix}/lib/syslinux

mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}/sample
install -m 644 sample/sample.* %{buildroot}/%{_docdir}/%{name}-%{version}/sample/

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS README TODO COPYING 
%doc distrib.doc isolinux.doc pxelinux.doc syslinux.doc memdisk/memdisk.doc
%{_bindir}/lss16toppm
%{_bindir}/ppmtolss16
%{_bindir}/syslinux
%{_prefix}/lib/syslinux
%{_prefix}/lib/libsyslinux.so.*
%{_bindir}/gethostip

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/syslinux.h
%{_prefix}/lib/libsyslinux.a
%{_prefix}/lib/libsyslinux.so

%changelog
* Mon Feb 14 2005 Toru Hoshina <t@momonga-linux.org>
- (2.11-1m)
- ver up.

* Mon Jan 12 2004 Kenta MURATA <muraken2@nifty.com>
- (2.08-1m)
- version 2.08.

* Wed Apr 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.04-1m)
  update to 2.04

* Sun Apr 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.03-1m)
  update to 2.03

* Sun Feb 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.02-1m)
  update to 2.02

* Fri Jul 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.67-7m)
- add more documents

* Sun Apr  21 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.67-6k)
- BuildRequires: netpbm-progs

* Sun Apr  14 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.67-4k)
- nasm 0.98.22 hitsuyo-

* Fri Apr  12 2002 Toru Hoshina <t@kondara.org>
- (1.67-2k)
- ver up. from mandrake...

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (1.66-2k)
- update to 1.66

* Tue Oct  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.63-2k)
- update to 1.63

* Wed May 02 2001 Motonobu Ichimura <famao@kondara.org>
- up to 1.62

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
